/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /tmp/buildd/ros-hydro-cob-camera-sensors-0.5.5-0quantal-20150330-2005/srv/AcquireCalibrationImages.srv
 *
 */


#ifndef COB_CAMERA_SENSORS_MESSAGE_ACQUIRECALIBRATIONIMAGESREQUEST_H
#define COB_CAMERA_SENSORS_MESSAGE_ACQUIRECALIBRATIONIMAGESREQUEST_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace cob_camera_sensors
{
template <class ContainerAllocator>
struct AcquireCalibrationImagesRequest_
{
  typedef AcquireCalibrationImagesRequest_<ContainerAllocator> Type;

  AcquireCalibrationImagesRequest_()
    : reset_image_counter(false)  {
    }
  AcquireCalibrationImagesRequest_(const ContainerAllocator& _alloc)
    : reset_image_counter(false)  {
    }



   typedef uint8_t _reset_image_counter_type;
  _reset_image_counter_type reset_image_counter;




  typedef boost::shared_ptr< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> const> ConstPtr;
  boost::shared_ptr<std::map<std::string, std::string> > __connection_header;

}; // struct AcquireCalibrationImagesRequest_

typedef ::cob_camera_sensors::AcquireCalibrationImagesRequest_<std::allocator<void> > AcquireCalibrationImagesRequest;

typedef boost::shared_ptr< ::cob_camera_sensors::AcquireCalibrationImagesRequest > AcquireCalibrationImagesRequestPtr;
typedef boost::shared_ptr< ::cob_camera_sensors::AcquireCalibrationImagesRequest const> AcquireCalibrationImagesRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace cob_camera_sensors

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'sensor_msgs': ['/opt/ros/hydro/share/sensor_msgs/cmake/../msg'], 'std_msgs': ['/opt/ros/hydro/share/std_msgs/cmake/../msg'], 'geometry_msgs': ['/opt/ros/hydro/share/geometry_msgs/cmake/../msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "e169cf33c98571b589b34472dd844790";
  }

  static const char* value(const ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xe169cf33c98571b5ULL;
  static const uint64_t static_value2 = 0x89b34472dd844790ULL;
};

template<class ContainerAllocator>
struct DataType< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "cob_camera_sensors/AcquireCalibrationImagesRequest";
  }

  static const char* value(const ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "bool reset_image_counter\n\
";
  }

  static const char* value(const ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.reset_image_counter);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct AcquireCalibrationImagesRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::cob_camera_sensors::AcquireCalibrationImagesRequest_<ContainerAllocator>& v)
  {
    s << indent << "reset_image_counter: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.reset_image_counter);
  }
};

} // namespace message_operations
} // namespace ros

#endif // COB_CAMERA_SENSORS_MESSAGE_ACQUIRECALIBRATIONIMAGESREQUEST_H
